RCCE(3)

NAME
RCCE_wtime - returns the number of seconds since some specific time in the past.

SYNOPSIS
#include <rcce.h>

double RCCE_wtime(void);

DESCRIPTION
RCCE_wtime() returns the number of seconds since some specific time in the past. By calling this function upon entry and exit of a block of code, one can find the elapsed wall clock time within. This is closely modeled after the wall clock timers in MPI and OpenMP. There is no guarantee that return values of RCCE_wtime() for different UEs are related. When power management routines are called, the accuracy of the timer is not guaranteed.

RETURN VALUE
An double equal to the number of seconds since some specific time in the past.

ERRORS
Look in rcce.h for additional error codes.

SEE ALSO
rcce.h(5)

EXAMPLE